// Combines the bloom with the original

uniform sampler2D otex;
uniform sampler2D btex;
uniform float blurmul = 1.5;

void main()
{
	// Original color
	vec4 ocolor = vec4(texture2D(otex,gl_TexCoord[0].st));
	// Dampen
	float bloomamount = ocolor.g;
	ocolor = pow( ocolor, vec4( 2.0, 2.0, 2.0, 2.0 ) );
	
	vec4 bcolor = vec4(texture2D(btex,gl_TexCoord[0].st));

	
	gl_FragColor = ocolor + ( bcolor * blurmul ) ;
}